<?php

/*

osCommRes, Services Online
http://www.oscommres.com

Copyright (c) 2005 osCommRes

Released under the GNU General Public License
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
	require('includes/application_top.php');
	tep_get_last_access_file();require(DIR_WS_CLASSES . '/currencies.php');
	$currencies=new currencies;  
	
	$affiliate_emarketing_types=array('FAQ' => TEXT_AFFILIATE_FAQ,'TRM' => TEXT_AFFILIATE_TERMS,'AIM' => TEXT_AFFILIATE_INFORMATION);
	
	$command=(isset($HTTP_GET_VARS['command'])?$HTTP_GET_VARS['command']:'');
	$type=(isset($HTTP_GET_VARS['type'])?$HTTP_GET_VARS['type']:'');
	if($command!=''){
	 echo $command . '{}' . $type . '||';
		switch($command){
			case 'get_details':
				echo do_get_details($type);
			break;
		case 'edit':
			echo get_edit_details($type);
		break;
		case 'save':
			echo get_save_details($type);
		break;
		case 'delete':
			echo get_delete_details($type,false);
		break;
		case 'delete_confirm':
			echo get_delete_details($type,true);
		break;
		}
		exit;
	}
	$init_editor=true;
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script type="text/javascript" src="htmlarea/htmlarea.js"></script>
<script type="text/javascript" src="htmlarea/editor.js"></script>
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="javascript" src="includes/http.js"></script>
<script language=javascript>
 var img_src="<?php echo HTTP_SERVER.DIR_WS_ADMIN.'images/';?>";
 var expand='';
 var ajax_started=false;
 var close_obj=false;
 var form_obj=false;
	function validateForm(){
		var command;
		close_obj=true;
		var type=document.message.type.value;
			var ifr=document.getElementById('if_message_text');
			if(ifr) {
			<?php if($init_editor){?>
			document.message.message_text.value=ifr.contentWindow.document.body.innerHTML;
			<?php }?>
			}
		if(document.message.action.value=='edit'){
			command="<?php echo tep_href_link(FILENAME_AFFILIATE_EMARKETING);?>" + '?command=save&type=' + type;
			if(check_form()==true) {
				form_obj=false;
				do_post_command('message',command);
			}	
		} else if(document.message.action.value=='delete'){
			command="<?php echo tep_href_link(FILENAME_AFFILIATE_EMARKETING);?>" + '?command=delete_confirm&type=' + type;
			do_get_command(command);
		}
		return false;	
	}
	function check_form(){
	    var type=document.message.type.value; 
		var error_result="";
		var mes_format;
		if(type=='FAQ'){
		mes_format=document.message.message_format.value;
		if ( (document.message.message_subject.value=="") || (str_trim(document.message.message_subject.value)=="") )
		error_result="<?php echo tep_db_input(ERR_EMPTY_SUBJECT); ?>";
		if (error_result!=""){
			alert(error_result);
			close_obj=true;
			form_obj=true;
			return false;
		}
		
	}
	return true;
	}
	
	function do_close(type) {
		var data=document.getElementById('data_' + type);
		var head=document.getElementById('head_' + type);
		if(data.style.display=="" && data.innerHTML!='' && close_obj==false) {
			data.style.display="none";
			data.innerHTML="";
			head.style.display="";
			ajax_started=false;
		}
		close_obj=false;
	}
	function do_page_fetch(type,action,expand_value){ 
		if(ajax_started==true)
			return;
		else {	
			ajax_started=true;
			document.message.action.value='';
		document.message.type.value=type;
		var command="";
		var data=document.getElementById('data_' + type);
		var head=document.getElementById('head_' + type);
		command="<?php echo tep_href_link(FILENAME_AFFILIATE_EMARKETING);?>" + '?command=' + action + '&type=' + type;
		switch(action){
			case 'get_details':
				close_obj=false;
				form_obj=false;
				if(data.style.display=="none"){
					head.style.display="none";
					data.style.display="";
					data.innerHTML=document.getElementById('loading').innerHTML;
				}
			break;
			case 'edit': close_obj=true;
				document.message.action.value='edit';
				//document.getElementById('img_delete').style.display="none";
				document.getElementById('img_save').style.display="";
				document.getElementById('span_details').style.display="none";
				document.getElementById('span_edit').style.display="";
				document.getElementById('span_edit').innerHTML=document.getElementById('loading').innerHTML;
			break;	
			case 'close_expand':close_obj=true;
				//document.getElementById('img_delete').style.display="none";
				document.getElementById('data_' + type).style.display="none";
				document.getElementById('data_' + type).innerHTML="";
				document.getElementById('head_' + type).style.display="";
				ajax_started=false;
				return;
			break;
			case 'close': close_obj=true;
				if(expand==''){
					//document.getElementById('img_delete').style.display="none";
					document.getElementById('data_' + type).style.display="none";
					document.getElementById('data_' + type).innerHTML="";
					document.getElementById('head_' + type).style.display="";
				} else {
				document.getElementById('img_save').style.display="none";
				//document.getElementById('img_delete').style.display="";
				document.getElementById('span_edit').style.display="none";
				document.getElementById('span_edit').innerHTML="";
				document.getElementById('span_details').style.display="";
				if(document.getElementById('edit_img').childNodes[0].src==img_src + 'template/img_edit_hover.gif')
					document.getElementById('edit_img').childNodes[0].src=img_src+ 'template/img_edit.gif';
				if(document.getElementById('del_img').childNodes[0].src==img_src + 'template/img_trash_hover.gif')
					document.getElementById('del_img').childNodes[0].src=img_src+ 'template/img_trash.gif';	
				}
				ajax_started=false;
				return;
			break;
			case 'delete':close_obj=true;
				document.message.action.value='delete';
				document.getElementById('span_details').style.display="none";
				document.getElementById('span_edit').style.display="";
				document.getElementById('span_edit').innerHTML=document.getElementById('loading').innerHTML;
			break;
		}
		do_get_command(command);
		}
	}
	
	function do_result(result){
		var splt=Array();
		splt=result.split("{}");
		var spl_arr=Array();
		var sp1=splt[1];
		spl_arr=sp1.split("||");
		switch(splt[0]){
			case 'get_details':
				document.getElementById('head_' + spl_arr[0]).style.display="none";
				document.getElementById('data_' + spl_arr[0]).style.display="";
				document.getElementById('data_' + spl_arr[0]).innerHTML=spl_arr[1]; 
				if(expand==''){ 
					document.getElementById('img_save').style.display="";
					document.message.action.value='edit';
			<?php if (HTML_AREA_WYSIWYG_DISABLE == 'Enable') { ?>
          		initEditor('message_text');
     		<?php }?>
				 } else	
				//document.getElementById('img_delete').style.display="";
			break;
			case 'edit':
			<?php if (HTML_AREA_WYSIWYG_DISABLE == 'Enable') { ?>
          		initEditor('message_text');
     		<?php }?>
				document.getElementById('span_edit').style.display="";
				document.getElementById('span_edit').innerHTML=spl_arr[1];
				document.getElementById('span_details').style.display="none";
			break;
			case 'save':
				document.getElementById('img_ids').style.display="";
				document.getElementById('img_save').style.display="none";
				document.getElementById('span_details').style.display="";
				document.getElementById('span_details').innerHTML=spl_arr[1];
				document.getElementById('span_edit').style.display="none";
				//document.getElementById('img_delete').style.display="";
				expand='expand'; 
				if(document.getElementById('edit_img').childNodes[0].src==img_src + 'template/img_edit_hover.gif')
					document.getElementById('edit_img').childNodes[0].src=img_src+ 'template/img_edit.gif';
				if(document.getElementById('del_img').childNodes[0].src==img_src + 'template/img_trash_hover.gif')
					document.getElementById('del_img').childNodes[0].src=img_src+ 'template/img_trash.gif';	
				document.message.action.value='';	
			break;
			case 'delete':
				//document.getElementById('img_delete').style.display="none";	
				document.getElementById('span_edit').style.display="";
				document.getElementById('img_save').style.display="";
				document.getElementById('span_edit').innerHTML=spl_arr[1];
			break;	
			case 'delete_confirm':
				document.getElementById('span_edit').style.display="";
				document.getElementById('span_edit').innerHTML="";
				document.getElementById('data_' + spl_arr[0]).style.display="none";
				document.getElementById('data_' + spl_arr[0]).innerHTML="";
				document.getElementById('head_' + spl_arr[0]).style.display=""; expand='';
				document.message.action.value='';
			break;
		}
		ajax_started=false;
	}
	/* function do_hover_change(element,eve){ 
		 var span_details=document.getElementById("span_details"); 
		 var span_edit=document.getElementById("span_edit");
		 var span_delete=document.getElementById("span_delete");
	  	 if(element){		   		    		    
		    var img_get_src=element.childNodes[0];
			if(img_get_src){
			    if(img_get_src.src==img_src+'template/img_edit.gif') {
					if(span_edit && span_edit.style.display=="" && eve==1 || eve==2){
					 	img_get_src.src=img_src+'template/img_edit_hover.gif';
					}  		   		 	 			 	 			

			    }else if(eve==3 && img_get_src.src==img_src+'template/img_edit_hover.gif' && span_edit && span_edit.style.display=="none") img_get_src.src=img_src+'template/img_edit.gif';
			    if(img_get_src.src==img_src+'template/img_trash.gif') {
					if(span_delete && span_delete.style.display=="" && eve==1 || eve==2){
					 	img_get_src.src=img_src+'template/img_trash_hover.gif';
					}  		   		 	 			 	 			
			    }else if(eve==3 && img_get_src.src==img_src+'template/img_trash_hover.gif' && span_delete && span_delete.style.display=="none") img_get_src.src=img_src+'template/img_trash.gif';
		  }
		 }		 
	 }  */	

 function do_hover_change(element,eve,img_action){ 
	 var span_details=document.getElementById("span_details"); 
	 var span_edit=document.getElementById("span_edit");
	 var span_delete=document.getElementById("span_delete");
	 if(element){		   		    		    
		var img_get_src=element.childNodes[0];
		if(img_get_src){ 
			if(img_action=='edit') {
				if(eve==1){ 
					img_get_src.src=img_src+'template/img_edit_hover.gif';
					document.getElementById('del_img').childNodes[0].src=img_src+'template/img_trash.gif';
				} else if(eve==2 && document.getElementById('edit_img').childNodes[0].src!=img_src+'template/img_edit_hover.gif'){
					img_get_src.src=img_src+'template/img_edit_hover.gif';
				} else if(eve==3 && img_get_src.src==img_src+'template/img_edit_hover.gif' && document.message.action.value!='edit') img_get_src.src=img_src+'template/img_edit.gif';		   		 	 			 	 			
			}
			if(img_action=='delete') {
				if(eve==1) {
					img_get_src.src=img_src+'template/img_trash_hover.gif';
					document.getElementById('edit_img').childNodes[0].src=img_src+'template/img_edit.gif';
				} else if(eve==2 && document.getElementById('del_img').childNodes[0].src!=img_src+'template/img_trash_hover.gif'){
					img_get_src.src=img_src+'template/img_trash_hover.gif';
				} else if(eve==3 && img_get_src.src==img_src+'template/img_trash_hover.gif' && document.message.action.value!='delete') img_get_src.src=img_src+'template/img_trash.gif'; 		   		 	 			 	 			
			}
	 	 }
	 }	
  }  	
	</script>
	<?php
	// WebMakers.com Added: Java Scripts
		include(DIR_WS_INCLUDES . 'javascript/' . 'webmakers_added_js.php')
	?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onLoad="SetFocus();">
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	
	<!-- header_eof //-->
	<!-- body //-->
	<table border="0" width="100%" cellspacing="2" cellpadding="2">
		<tr>
			<!-- body_text //-->
			<td width="100%" valign="top">
				<table border="0" width="100%" cellspacing="0" cellpadding="2">
					<tr>
						<td>
							<?php echo tep_draw_form('message',FILENAME_AFFILIATE_EMARKETING,'action=' . $new_action. '&type='.$HTTP_GET_VARS['type'] ,'post','onSubmit="javascript:return validateForm();"') . tep_draw_hidden_field('type') . tep_draw_hidden_field('action'); ?>
							<table border="0" width="100%" cellspacing="0" cellpadding="2">
							<?php
								$expand='';
										$message_query=tep_db_query("SELECT message_id,message_type,message_send,message_subject,message_text,message_format from " . TABLE_EMAIL_MESSAGES . " where message_type='" . $type . "'");
											if(tep_db_num_rows($message_query)>0){
												$expand='expand';
											} 
											
								$format_array=array(array('id'=>'T','text'=>TEXT_FORMAT_TEXT),
								array('id'=>'H','text'=>TEXT_FORMAT_HTML),
								array('id'=>'B','text'=>TEXT_FORMAT_BOTH));
								?>	
								<tr>
									<td class="dataTableHeadingRow"><?php if($HTTP_GET_VARS['type']=='TRM') echo TEXT_HEADING_TERMS; else if($type=='AIM') echo TEXT_HEADING_AIM; else echo TEXT_NEW_MESSAGE;?></td>
								</tr>
								<tr><td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td></tr>
								<tr class="dataTableRowOdd"  height="25" onMouseOver="rowOverEffect(this)" id="row_<?php echo $type;?>" onMouseOut="rowOutEffect(this)" onClick="javascript:if(document.getElementById('data_<?php echo $type;?>').style.display=='none') do_page_fetch('<?php echo $type;?>','get_details','<?php echo $expand;?>');">
									<td class="dataTableContent"><div id="head_<?php echo $type;?>"><?php echo $affiliate_emarketing_types[$type];?></div><div id="data_<?php echo $type;?>" style="display:none"></div></td>
								</tr>	
								<div id="loading" style="display:none"><div style="height:30px;margin-left:30px"><img src="images/24-1.gif"></div></div>
							</table></form><script>expand='<?php echo $expand;?>';</script>
						</td>
					<!-- body_text_eof //-->
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<!-- body_eof //-->
	
	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); 

	function do_get_details($type){
		global $affiliate_emarketing_types; 
		$expand="";
		$message_query=tep_db_query("SELECT message_id,message_type,message_send,message_subject,message_text,message_format from " . TABLE_EMAIL_MESSAGES . " where message_type='" . $type . "'");
		if(tep_db_num_rows($message_query)>0){
			$style="style=display:";
			$expand='expand';
		
		}
		else $style="style=display:none";
				$result.='<script>expand=' . $expand .'</script>';
		$message_result=tep_db_fetch_array($message_query);
		$result='<table width="100%" border="0" cellspacing="0" cellpadding="0" class="openContent">'.
				'<tr heigth="40" bgcolor="#EDF1FE"  class="openContent_top" onClick="javascript:do_close(\'' . $type . '\');">';  	
		$result.=		  '<td width="40" valign="top" align="center">&nbsp;</td>';
				if($type=='FAQ')
				 	$result.= '<td align="left" valign="middle" width="350" class="inner_title" id="row_heading">'. $affiliate_emarketing_types[$type].'</td>';
				else 	
				 	$result.= '<td align="left" valign="middle" width="350" class="inner_title" id="row_heading">'. $affiliate_emarketing_types[$type].'</td>';
					
				  $result.='<td width="470" align="left" class="main" valign="top" id="img_ids" ' . $style. '>'.
				  	'<table border="0" cellspacing="0" cellpadding="0" style="width:100;height:30px;display:inline;position:relative;">'.
				  	  '<tr class="img_move" id="img_ids">'.
				  	  	'<td class="cell_bg_popm_left" width="10">&nbsp;</td>';
					$result.=   '<td width="10%" id="edit_img" onclick="javascript:do_hover_change(this,1,\'edit\');do_page_fetch(\'' . $type . '\',\'edit\',\''. $expand . '\');" onmouseover="javascript:do_hover_change(this,2,\'edit\');" onmouseout="javascript:do_hover_change(this,3,\'edit\');"><img alt="Edit" title="Edit" src="images/template/img_edit.gif"></td>'.
				  	    '<td width="10%"  id="del_img" onclick="javascript:do_hover_change(this,1,\'delete\');do_page_fetch(\'' . $type . '\',\'delete\',\'' . $expand . '\');" onmouseover="javascript:do_hover_change(this,2,\'delete\');" onmouseout="javascript:do_hover_change(this,3,\'delete\');"><img alt="Delete" title="Delete" src="images/template/img_trash.gif"></td>'.			  	    
				  	    '<td class="cell_bg_popm_right" width="10">&nbsp;</td>'.
				  	  '</tr>'.
				  	'</table>'.
				  '</td>';
			$result.=	 '<td width="240" align="right" id="img_save" style="display:none"><img src="images/template/img_savel.gif" alt="save" title="save" border="0" onClick="javascript:validateForm();" style="cursor:hand;cursor:pointer">&nbsp;&nbsp;<img src="images/template/img_closel.gif" alt="close" title="close" border="0" style="cursor:hand;cursor:pointer" onClick="javascript:do_page_fetch(\'' . $type .'\',\'close\',\''. $expand .'\');">&nbsp;&nbsp;</td>';
//						 '<td width="140" align="right" id="img_delete" style="display:none"><a href="javascript:do_page_fetch(\'' . $type .'\',\'close_expand\',\''. $expand . '\');"><img src="images/template/img_closel.gif" alt="close" title="close" border="0"></a></td>'. 	
				'</tr>';
					$result.= '<tr ><td width="40" valign="top" align="center">&nbsp;</td><td colspan="3"><div id="span_details" class="openContent">';
					if(tep_db_num_rows($message_query)>0){
						$result.='<table cellpadding="2" cellspacing="2" border="0" width="100%">';
						$result.='<tr><td colspan="2">' . tep_draw_separator('pixel_trans.gif','10','10') . '</td></tr>';
						if($type=='FAQ')
							$result.='<tr><td class="main" width="70">' . TEXT_MESSAGE_SUBJECT . '</td><td class="main"> ' . $message_result['message_subject'] . '</td><tr>';
						$result.='<tr><td class="main" width="70"></td><td></td><tr>';
						$result.='<tr><td></td><td class="main"><div style="overflow:auto; width:100%; height:150px;">' . $message_result['message_text'] . '</div></td></tr>';
						$result.='<tr><td colspan="2">' . tep_draw_separator('pixel_trans.gif','10','10') . '</td></tr></table>';
					} else $result.=get_edit_details($type);	
					$result.='</div></td></tr>';
					$result.='<tr><td colspan="5"><span id="span_edit" style="display:none" class="openContent"></span></td></tr>';
					$result.='<tr><td colspan="5"><span id="span_delete" style="display:none" class="openContent"></span></td></tr>';
			$result .='</table>';
			return $result;
	}
	function get_edit_details($type){
		$result.= '<table cellpadding="0" cellspacing="0" width="100%" border="0">';
		$message_query=tep_db_query("SELECT message_id,message_type,message_send,message_subject,message_text,message_format from " . TABLE_EMAIL_MESSAGES . " where message_type='" . $type . "'");
		$message_result=tep_db_fetch_array($message_query);
		$format_array=array(array('id'=>'T','text'=>TEXT_FORMAT_TEXT),
					array('id'=>'H','text'=>TEXT_FORMAT_HTML),
					array('id'=>'B','text'=>TEXT_FORMAT_BOTH));
			
			
		$result.='<tr>'.
				'<td>'.
					'<table width=60% border="0" cellspacing="0" cellpadding="5" class="searchArea">'.
				     tep_draw_hidden_field('message_type',$message_result['message_type']);
					 $result.='<tr><td colspan="2">'. tep_draw_separator('pixel_trans.gif') . '</td></tr>';
			
					if($type=='FAQ'){
			
						$result.='<tr>'.
							'<td class="main">'. TEXT_MESSAGE_SUBJECT.'</td>'.
							'<td class="main">'. tep_draw_input_field('message_subject',$message_result['message_subject'],'size=40',true).'</td>'.
						'</tr>';
						
						 } 
						$result.='<tr><td class="main" valign=top>'.  TEXT_MESSAGE_TEXT.
							'<td class="main">'.
								'<table border=0 cellspacing=0	 cellpadding="0" valign=top>'.
									'<tr>'.
										'<td valign=top class="main">'. tep_draw_textarea_field('message_text','soft','80','24',$message_result['message_text'],'id="message_text"') . '</span></td>'.
										'<td  style="background:ButtonFace;" valign=bottom align=center>'.
										'</td>'.
									'</tr>'.
								'</table>'.
							'</td>'.
						'</tr>';
						 if($type=='FAQ'){
						$result.='<tr>'.
							'<td class="main">' . TEXT_MESSAGE_FORMAT .'</td>'.
							'<td class="main">' . tep_draw_pull_down_menu('message_format',$format_array,$message_result['message_format']) .'</td>'.
						'</tr>';
						 } 
					$result.='</table>'.
				'</td>'.
			'</tr>'.
			'<tr>'.
				'<td>'. tep_draw_separator('pixel_trans.gif', '1', '10') .'</td>'.
			'</tr>'.
		'</table>';
		return $result;
 	}

function get_save_details($type){
	global $HTTP_POST_VARS,$HTTP_GET_VARS;
		$message_query=tep_db_query("SELECT message_id,message_type,message_send,message_subject,message_text,message_format from " . TABLE_EMAIL_MESSAGES . " where message_type='" . $type . "'");
		if(tep_db_num_rows($message_query)>0)
			$action='updte';
		else
			$action='insert';
				$message_format=tep_db_prepare_input($HTTP_POST_VARS['message_format']);
			if($type=='FAQ')
				$message_text=($HTTP_POST_VARS['message_format']!='T'?$HTTP_POST_VARS['message_text']:strip_tags($HTTP_POST_VARS['message_text'],'<br>'));
			else {
				$message_text=$HTTP_POST_VARS['message_text'];
				$message_format='H';
			}
			$sql_array=array(	'message_type'=>$type,
								'message_subject'=>tep_db_prepare_input($HTTP_POST_VARS['message_subject']),
								'message_text'=>tep_db_prepare_input($message_text),
								'message_format'=>$message_format);
			
			if ($action=='insert'){
				tep_db_perform(TABLE_EMAIL_MESSAGES,$sql_array);
			} else {
				$update_id=$type;
				tep_db_perform(TABLE_EMAIL_MESSAGES,$sql_array,'update',"message_type='" . $update_id . "'");
			}
		echo get_updated_details($type);
}

function get_updated_details($type){
		$message_query=tep_db_query("SELECT message_id,message_type,message_send,message_subject,message_text,message_format from " . TABLE_EMAIL_MESSAGES . " where message_type='" . $type . "'");
		$message_result=tep_db_fetch_array($message_query);
		
		$result='<table cellpadding="2" cellspacing="2" border="0" width="100%">';
		$result.='<tr><td colspan="2">' . tep_draw_separator('pixel_trans.gif','10','10') . '</td></tr>';
		if($type=='FAQ')
			$result.='<tr><td class="main" width="70">' . TEXT_MESSAGE_SUBJECT . '</td><td class="main"> ' . $message_result['message_subject'] . '</td><tr>';
		$result.='<tr><td class="main" width="70"></td><td></td><tr>';
		$result.='<tr><td></td><td class="main"><div style="overflow:auto; width:100%; height:150px;">' . $message_result['message_text'] . '</div></td></tr>';
		$result.='<tr><td colspan="2">' . tep_draw_separator('pixel_trans.gif','10','10') . '</td></tr></table>';
	return $result;	
}
function get_delete_details($type,$delete){
	if($delete){
		tep_db_query("delete from " . TABLE_EMAIL_MESSAGES . " where message_type='" . $type ."'");
	} else {
		$result.='<table cellpadding="2" cellspacing="2" border="0" width="100%">'.
					'<tr><td width="15">' . tep_image('images/template/img_trash.gif') . '</td><td class="inner_title">' . TEXT_INFO_DELETE_MESSAGE . '</td></tr>';
						$result.='<tr><td width="15"></td><td class="main">' . TEXT_INFO_DELETE_INTRO . '</td></tr>';
					$result.='<tr><td colspan="2">'. tep_draw_separator('pixel_trans.gif','10','10') . '</td<tr>'.
					'</table>' ;
		return $result;			
	}
}
?>